org.apache.ignite.internal.processors.odbc

## Class SqlListenerConnectionContext

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerConnectionContext

    public class SqlListenerConnectionContext
    extends Object

SQL listener connection context.

### Constructor Summary

Constructors
Constructor and Description
`SqlListenerConnectionContext(SqlListenerRequestHandler handler, SqlListenerMessageParser parser)` Constructor.

### Method Summary

Methods
`SqlListenerRequestHandler` `handler()` Handler getter.
`SqlListenerMessageParser` `parser()` Parser getter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlListenerConnectionContext

    public SqlListenerConnectionContext(SqlListenerRequestHandler handler,
                                SqlListenerMessageParser parser)

Constructor.

Parameters:
  `handler` - Handler.
  `parser` - Parser.

### Method Detail

#### handler

    public SqlListenerRequestHandler handler()

Handler getter.

Returns:
  Request handler for the connection.

#### parser

    public SqlListenerMessageParser parser()

Parser getter

Returns:
  Message parser for the connection.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017